fop 1.1

## org.apache.fop.image.loader.batik
Class ImageWMF

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImage
          org.apache.fop.image.loader.batik.ImageWMF

All Implemented Interfaces:
  org.apache.xmlgraphics.image.loader.Image

    public class ImageWMF

extends org.apache.xmlgraphics.image.loader.impl.AbstractImage

This class is an implementation of the Image interface exposing a RenderedImage.

Field Summary
`static java.lang.String` `MIME_WMF` MIME type for WMF
`static org.apache.xmlgraphics.image.loader.ImageFlavor` `WMF_IMAGE` ImageFlavor for Batik's WMFRecordStore

Constructor Summary
`ImageWMF(org.apache.xmlgraphics.image.loader.ImageInfo info, org.apache.batik.transcoder.wmf.tosvg.WMFRecordStore store)` Main constructor.

Method Summary
`org.apache.xmlgraphics.image.loader.ImageFlavor` `getFlavor()`
`org.apache.batik.transcoder.wmf.tosvg.WMFRecordStore` `getRecordStore()` Returns the contained WMF record store.
`boolean` `isCacheable()`

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImage
`getColorSpace, getICCProfile, getInfo, getSize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MIME_WMF

    public static final java.lang.String MIME_WMF

  MIME type for WMF

  See Also:
    Constant Field Values

### WMF_IMAGE

    public static final org.apache.xmlgraphics.image.loader.ImageFlavor WMF_IMAGE

  ImageFlavor for Batik's WMFRecordStore

Constructor Detail

### ImageWMF

    public ImageWMF(org.apache.xmlgraphics.image.loader.ImageInfo info,
                    org.apache.batik.transcoder.wmf.tosvg.WMFRecordStore store)

  Main constructor.

  Parameters:
    `info` - the image info object
    `store` - the WMF record store containing the loaded WMF file

Method Detail

### getFlavor

    public org.apache.xmlgraphics.image.loader.ImageFlavor getFlavor()

### isCacheable

    public boolean isCacheable()

### getRecordStore

    public org.apache.batik.transcoder.wmf.tosvg.WMFRecordStore getRecordStore()

  Returns the contained WMF record store.

  Returns:
    the WMFRecordStore

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.